.loader-container {
    position: relative;
    width: 60px;
    height: 60px;
  }

  .loader {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    position: absolute;
    border: 5px solid #EEEEEE;
    border-top-color: #0077FF;
    /* Set initial rotation to 0 */
    transform: rotate(45deg);
    /* Transition for the rotation */
    transition: transform 0.5s ease-out;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
  }
  .loader span {
    position: absolute;
    transform: rotate(-45deg);
    font-weight: bold;
    font-size: 1rem;
  }

  .loader:before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 12px;
    color: grey;
  }